libphp5-embed_5.4.45-0+deb7u2_i386.deb


Advertisement

Description

libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libphp5-embed
Package version 5.4.45
Package release 0+deb7u2
Package architecture i386
Package type deb
Installed size 8.25 KB
Download size 2.54 MB
Official Mirror ftp.br.debian.org
This package provides the library /usr/lib/libphp5.so which can
be used by application developers to embed PHP scripting functionality.
The following extensions are built in: bcmath bz2 calendar Core ctype date
dba dom ereg exif fileinfo filter ftp gettext hash iconv json libxml
mbstring mhash openssl pcntl pcre Phar posix Reflection session shmop
SimpleXML soap sockets SPL standard sysvmsg sysvsem sysvshm tokenizer wddx
xml xmlreader xmlwriter zip zlib.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
libphp5-embed_5.4.45-1~dotdeb+7.1_amd64.deb 5.4.45 amd64 Dotdeb
libphp5-embed_5.4.45-1~dotdeb+7.1_i386.deb 5.4.45 i386 Dotdeb
libphp5-embed_5.4.45-0+deb7u2_amd64.deb 5.4.45 amd64 Debian Main
libphp5-embed_5.4.45-0+deb7u14_amd64.deb 5.4.45 amd64 Debian Security Updates Main
libphp5-embed_5.4.45-0+deb7u14_i386.deb 5.4.45 i386 Debian Security Updates Main
libphp5-embed_5.4.44-1~dotdeb+7.1_amd64.deb 5.4.44 amd64 Dotdeb
libphp5-embed_5.4.44-1~dotdeb+7.1_i386.deb 5.4.44 i386 Dotdeb
libphp5-embed - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.11
libcomerr2 >= 1.01
libdb5.1 -
libgssapi-krb5-2 >= 1.6.dfsg.2
libk5crypto3 >= 1.6.dfsg.2
libkrb5-3 >= 1.6.dfsg.2
libmagic1 -
libonig2 >= 5.2.0
libpcre3 >= 8.10
libqdbm14 >= 1.8.74
libssl1.0.0 >= 1.0.0
libxml2 >= 2.8.0
mime-support -
php5-common = 5.4.45-0+deb7u2
tzdata -
ucf -
zlib1g >= 1:1.1.4

Provides

Name Value
phpapi-20100525+lfs -

Download

Type URL
Binary Package libphp5-embed_5.4.45-0+deb7u2_i386.deb
Source Package php5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphp5-embed deb package:
    # sudo apt-get install libphp5-embed

Files

Path
/etc/php5/embed/conf.d
/usr/lib/php5/libphp5-5.4.45-0+deb7u2.so
/usr/lib/php5/libphp5.so
/usr/share/doc/libphp5-embed
/usr/share/lintian/overrides/libphp5-embed

Changelog

2015-10-04 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.45-0+deb7u2) wheezy-security; urgency=high
* Merge security updates from PHP 5.5.30 into PHP 5.4.45
- Phar:
. Fixed bug #69720 (Null pointer dereference in phar_get_fp_offset()).
. Fixed bug #70433 (Uninitialized pointer in phar_make_dirstream when
zip entry filename is "/").
* Add a notice about PHP 5.4 EOL to d/NEWS
2015-09-07 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.45-0+deb7u1) wheezy-security; urgency=medium
* New upstream version 5.4.45
- Core:
. Fixed bug #70172 (Use After Free Vulnerability in unserialize()).
. Fixed bug #70219 (Use after free vulnerability in session
deserializer).
- EXIF:
. Fixed bug #70385 (Buffer over-read in exif_read_data with TIFF IFD
tag byte value of 32 bytes).
- hash:
. Fixed bug #70312 (HAVAL gives wrong hashes in specific cases).
- PCRE:
. Fixed bug #70345 (Multiple vulnerabilities related to PCRE
functions).
- SOAP:
. Fixed bug #70388 (SOAP serialize_function_call() type confusion /
RCE).
- SPL:
. Fixed bug #70365 (Use-after-free vulnerability in unserialize() with
SplObjectStorage).
. Fixed bug #70366 (Use-after-free vulnerability in unserialize() with
SplDoublyLinkedList).
- XSLT:
. Fixed bug #69782 (NULL pointer dereference).
- ZIP:
. Fixed bug #70350 (ZipArchive::extractTo allows for directory
traversal when creating directories).
* Rebase patches on top of 5.4.45 release
2015-08-16 - Ondřej Surý <ondrej@debian.org>
php5 (5.4.44-0+deb7u1) wheezy-security; urgency=medium
* New upstream version 5.4.44
- Core:
. Fixed bug #69793 (Remotely triggerable stack exhaustion via recursive
method calls).
. Fixed bug #69892 (Different arrays compare indentical due to integer key
truncation).
. Fixed bug #70121 (unserialize() could lead to unexpected methods execution
/ NULL pointer deref).
- OpenSSL:
. Fixed bug #70014 (openssl_random_pseudo_bytes() is not cryptographically
secure).
- Phar:
. Improved fix for bug #69441.
. Fixed bug #70019 (Files extracted from archive may be placed outside of 
destination directory).
- SOAP:
. Fixed bug #70081 (SoapClient info leak / null pointer dereference via
multiple type confusions).
- SPL:
. Fixed bug #70068 (Dangling pointer in the unserialization of ArrayObject
items).
. Fixed bug #70166 (Use After Free Vulnerability in unserialize() with
SPLArrayObject).
. Fixed bug #70168 (Use After Free Vulnerability in unserialize() with
SplObjectStorage).
. Fixed bug #70169 (Use After Free Vulnerability in unserialize() with
SplDoublyLinkedList).
* New upstream version 5.4.43
- Core:
. Fixed bug #69768 (escapeshell*() doesn't cater to !).
. Fixed bug #69874 (Can't set empty additional_headers for mail()), regression
from fix to bug #68776.
- Mysqlnd:
. Fixed bug #69669 (mysqlnd is vulnerable to BACKRONYM) (CVE-2015-3152).
- Phar:
. Fixed bug #69958 (Segfault in Phar::convertToData on invalid file).
. Fixed bug #69923 (Buffer overflow and stack smashing error in 
phar_fix_filepath).
* Rebase patches on top of 5.4.44 release

See Also

Package Description
libphtools2-dev_20061220+dfsg3-2_i386.deb [Physics] General purpose Monte Carlo routines (development files)
libphtools2-gfortran_20061220+dfsg3-2_i386.deb [Physics] General purpose Monte Carlo routines
libphysfs-dev_2.0.2-6_i386.deb filesystem abstraction library for game programmers (development headers)
libphysfs1_2.0.2-6_i386.deb filesystem abstraction library for game programmers
libpiano-dev_2012.05.06-2_i386.deb library to interface with Pandora radio -- development
libpiano0_2012.05.06-2_i386.deb library to interface with Pandora radio -- runtime files
libpigment0.3-11_0.3.17-1_i386.deb User interfaces with embedded multimedia - shared library
libpigment0.3-dev_0.3.17-1_i386.deb User interfaces with embedded multimedia - development files
libpils2-dev_1.0.9+hg2665-1_i386.deb Reusable cluster development files -- libpils2
libpils2_1.0.9+hg2665-1_i386.deb Reusable cluster libraries -- libpils2
libpinyin-utils_0.6.91-1_i386.deb library to deal with PinYin - utilities
libpinyin0-dev_0.6.91-1_i386.deb library to deal with PinYin - development files
libpinyin0_0.6.91-1_i386.deb library to deal with PinYin
libpion-common-4.0_4.0.7+dfsg-3.1_i386.deb lightweight HTTP interface library - common runtime files
libpion-common-dev_4.0.7+dfsg-3.1_i386.deb lightweight HTTP interface library - common development files
Advertisement
Advertisement